# API Reference

- [Websocket API](https://docs.stork.network/api-reference/websocket-api.md)
- [Publisher](https://docs.stork.network/api-reference/websocket-api/publisher.md): Publishing data to a Stork Aggregator via WebSocket.
- [Subscriber](https://docs.stork.network/api-reference/websocket-api/subscriber.md): Listening to data from a Stork Aggregator via WebSocket.
- [REST API](https://docs.stork.network/api-reference/rest-api.md)
- [Contract APIs](https://docs.stork.network/api-reference/contract-apis.md): Th
- [EVM](https://docs.stork.network/api-reference/contract-apis/evm.md): Programming API reference for the Stork EVM contract.
- [Solana / SVM](https://docs.stork.network/api-reference/contract-apis/solana.md): Programming API reference for the Stork Solana contract.
- [Sui](https://docs.stork.network/api-reference/contract-apis/sui.md): Programming API reference for the Stork Sui contract.
- [Aptos](https://docs.stork.network/api-reference/contract-apis/aptos.md): Programming API reference for the Stork Aptos contract.
- [CosmWasm](https://docs.stork.network/api-reference/contract-apis/cosmwasm.md): Programming API reference for the Stork CosmWasm contract.
- [Fuel](https://docs.stork.network/api-reference/contract-apis/fuel.md): Programming API reference for the Stork Fuel contract.
- [Initia](https://docs.stork.network/api-reference/contract-apis/initia.md): Programming API reference for the Stork Initia contracts.
- [MiniMove](https://docs.stork.network/api-reference/contract-apis/initia/minimove.md): Programming API reference for the Stork Initia MiniMove contract.
- [Chain Pusher Configs](https://docs.stork.network/api-reference/chain-pusher-configs.md)
- [Asset Config YAML](https://docs.stork.network/api-reference/chain-pusher-configs/asset-config-yaml.md): This document describes the structure of the YAML configuration file used to define assets and their associated parameters for the Chain Pusher.
- [Publisher Agent Configs](https://docs.stork.network/api-reference/publisher-agent-configs.md)
- [Config JSON](https://docs.stork.network/api-reference/publisher-agent-configs/config-json.md): This document describes the structure and usage of the config JSON file used by the Stork Publisher Agent.
- [Keys JSON](https://docs.stork.network/api-reference/publisher-agent-configs/keys-json.md): This document describes the structure and usage of the keys. JSON file used by the Stork Publisher Agent.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stork.network/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
